<template>
    <div class="btn-group">
       <button @click="toggleLanguageMode()"
               :class="{ 'active': language !== 'en' }"
               class="btn btn-light btn-sm">
          EN
       </button>
       <button @click="toggleLanguageMode()"
               :class="{ 'active': language !== 'nl' }"
               class="btn btn-light btn-sm">
          NL
       </button>
    </div>
</template>

<script>
export default {
  name: 'LanguageSwitch',
  data() {
    let language = document.documentElement.getAttribute('lang') || 'en';
    this.$i18n.locale = this.language;
    return {
      language: language,
    };
  },
  methods: {
    toggleLanguageMode() {
      this.language = this.language === 'en' ? 'nl' : 'en';
      this.$i18n.locale = this.language;
      axios.post('/language', { locale: this.language })
        .then(() => {
          sessionStorage.setItem('locale', this.language);
          window.location.href = window.location.href.replace(/\/(en|nl)\//, `/${this.language}/`);
        });
    },
  },
  mounted() {
    let language = document.documentElement.getAttribute('lang') || 'en';
    this.$i18n.locale = this.language;
  },
};
</script>
